---
lang: en
title: 'API docs: rest.redirectroute'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.redirectroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RedirectRoute](./rest.redirectroute.md)

## RedirectRoute class

<b>Signature:</b>

```typescript
export declare class RedirectRoute implements RouteEntry, ResolvedRoute 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(sourcePath, targetLocation, statusCode)](./rest.redirectroute._constructor_.md) |  | Constructs a new instance of the <code>RedirectRoute</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [path](./rest.redirectroute.path.md) |  | <code>string</code> |  |
|  [pathParams](./rest.redirectroute.pathparams.md) |  | <code>PathParameterValues</code> |  |
|  [schemas](./rest.redirectroute.schemas.md) |  | <code>SchemasObject</code> |  |
|  [spec](./rest.redirectroute.spec.md) |  | <code>OperationObject</code> |  |
|  [verb](./rest.redirectroute.verb.md) |  | <code>string</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [describe()](./rest.redirectroute.describe.md) |  |  |
|  [invokeHandler({ response }, args)](./rest.redirectroute.invokehandler.md) |  |  |
|  [updateBindings(requestContext)](./rest.redirectroute.updatebindings.md) |  |  |


